# Providers

Seam maintains a list of supported providers that you can access using the [List Device Providers](https://docs.seam.co/latest/api/devices/list_device_providers) endpoint. For a provider, this endpoint returns a subset of the following information, depending on the capabilities of the provider's devices:

<table><thead><tr><th width="273">Property</th><th width="101.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>device_provider_name</code></td><td>String</td><td><p>Name of the device provider.</p><p>For example: <code>august</code></p></td></tr><tr><td><code>display_name</code></td><td>String</td><td><p>Formatted version of the <code>device_provider_name</code>.</p><p>For example: <code>August</code></p></td></tr><tr><td><code>image_url</code></td><td>String</td><td>Image URL for the provider logo.</td></tr><tr><td><code>provider_categories</code></td><td>Array</td><td><p>Array of associated categories for the provider.</p><p>Supported categories:</p><ul><li><code>stable</code></li><li><code>consumer_smartlocks</code></li><li><code>thermostats</code></li><li><code>noise_sensors</code></li></ul></td></tr><tr><td><code>can_remotely_unlock</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can perform a <a href="/pages/NfX4f2rlRVCQEDOL6EBN">remote unlock operation</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_remotely_lock</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can perform a <a href="/pages/NfX4f2rlRVCQEDOL6EBN">remote lock operation</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_program_online_access_codes</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can <a href="/pages/HjsKBrRMbDkQUFvweYSV">program online access codes</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_program_offline_access_codes</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can <a href="/pages/xo2TC9KJUWCTzFnSANIm">program offline access codes</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_simulate_connection</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can <a href="/pages/GLCHSuHCP1552GdyWCcW">simulate device connection</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_simulate_disconnection</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can <a href="/pages/GLCHSuHCP1552GdyWCcW">simulate device disconnection</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_simulate_removal</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can <a href="/pages/GLCHSuHCP1552GdyWCcW">simulate device removal</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_hvac_cool</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can be <a href="/pages/VI7UNNk2C8BnBsOD5Ing">set to cool mode</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_hvac_heat</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can be <a href="/pages/VI7UNNk2C8BnBsOD5Ing">set to heat mode</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_hvac_heat_cool</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can be <a href="/pages/VI7UNNk2C8BnBsOD5Ing">set to heat-cool mode</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr><tr><td><code>can_turn_off_hvac</code></td><td>Boolean</td><td>Indicates whether at least one supported device from the provider can be <a href="/pages/VI7UNNk2C8BnBsOD5Ing">set to off mode</a>. See <a href="/pages/6fYXpZ6gPFlZurxohK8v#capability-flags">Capability Flags</a>.</td></tr></tbody></table>

The following example shows a `device_provider`:

```json
{
  "device_provider_name": "august",
  "display_name": "August",
  "image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/august_logo_square.png&q=75&w=128",
  "provider_categories": [
    "stable",
    "consumer_smartlocks"
  ],
  "can_remotely_lock": true,
  "can_remotely_unlock": true,
  "can_program_online_access_codes": true,
  "can_simulate_connection": true,
  "can_simulate_disconnection": true,
  "can_simulate_removal": true
} 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/core-concepts/providers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
